CVE-2005-0441
CVSS10.0
发布时间 :2004-12-22 00:00:00
修订时间 :2016-10-17 23:11:40
NMCO    

[原文]Multiple stack-based buffer overflows in Sybase Adaptive Server Enterprise (ASE) 12.x before 12.5.3 ESD#1 allow remote authenticated users to execute arbitrary code via the (1) attrib_valid function, (2) covert function, (3) declare statement, or (4) a crafted query plan, or remote authenticated users with database owner or "sa" role privileges to execute arbitrary code via (5) a crafted install java statement.


[CNNVD]Sybase Adaptive Server Enterprise (ASE)缓冲区溢出漏洞(CNNVD-200412-082)

        Sybase Adaptive Server Enterprise (ASE) 12.x 12.5.3 ESD#1以前的版本存在多个基于堆栈的缓冲区溢出漏洞。
        远程认证用户借助多个语句执行任意代码,这些语句包括:(1) attrib_valid函数,(2) 隐蔽函数,(3)申明语句,或者(4)精心构建的查询计划。或者带有数据库拥有者身份或“sa”角色权限的远程认证用户借助(5)一个畸形的Java安装语句执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:sybase:adaptive_server_enterprise:12.0::hp
cpe:/a:sybase:adaptive_server_enterprise:11.5::sun
cpe:/a:sybase:adaptive_server_enterprise:11.5::hp
cpe:/a:sybase:adaptive_server_enterprise:12.5::sun
cpe:/a:sybase:adaptive_server_enterprise:12.5::hp
cpe:/a:sybase:adaptive_server_enterprise:12.0::win
cpe:/a:sybase:adaptive_server_enterprise:12.0::digital_unix
cpe:/a:sybase:adaptive_server_enterprise:11.5::digital_unix
cpe:/a:sybase:adaptive_server_enterprise:12.0.1::win
cpe:/a:sybase:adaptive_server_enterprise:11.9.2::win
cpe:/a:sybase:adaptive_server_enterprise:12.5::digital_unix
cpe:/a:sybase:adaptive_server_enterprise:11.5.1::win
cpe:/a:sybase:adaptive_server_enterprise:12.0::sun
cpe:/a:sybase:adaptive_server_enterprise:12.0.1::hp
cpe:/a:sybase:adaptive_server_enterprise:11.9.2::hp
cpe:/a:sybase:adaptive_server_enterprise:12.0.1::sun
cpe:/a:sybase:adaptive_server_enterprise:11.5.1::hp
cpe:/a:sybase:adaptive_server_enterprise:11.9.2::sun
cpe:/a:sybase:adaptive_server_enterprise:11.5.1::sun
cpe:/a:sybase:adaptive_server_enterprise:12.5.2Sybase Adaptive Server Enterprise 12.5.2
cpe:/a:sybase:adaptive_server_enterprise:12.5.3Sybase Adaptive Server Enterprise 12.5.3
cpe:/a:sybase:adaptive_server_enterprise:11.03.3::linux
cpe:/a:sybase:adaptive_server_enterprise:11.5::win
cpe:/a:sybase:adaptive_server_enterprise:11.9.2::digital_unix
cpe:/a:sybase:adaptive_server_enterprise:12.5::win
cpe:/a:sybase:adaptive_server_enterprise:12.0.1::digital_unix
cpe:/a:sybase:adaptive_server_enterprise:11.5.1::digital_unix
cpe:/a:sybase:adaptive_server_enterprise:12.5::linux
cpe:/a:sybase:adaptive_server_enterprise:12.5::sgi

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0441
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0441
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-082
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/bugtraq/2004-12/0315.html
(VENDOR_ADVISORY)  BUGTRAQ  20041222 Sybase ASE 12.5.2 vulnerabilities
http://marc.info/?l=bugtraq&m=111272918117194&w=2
(UNKNOWN)  BUGTRAQ  20050405 Sybase ASE Multiple Security Issues (#NISR05042005)
http://www.ngssoftware.com/advisories/sybase-ase.txt
(VENDOR_ADVISORY)  MISC  http://www.ngssoftware.com/advisories/sybase-ase.txt
http://www.securityfocus.com/archive/1/393851
(VENDOR_ADVISORY)  BUGTRAQ  20050321 Details of Sybase ASE bugs withheld
http://www.securityfocus.com/bid/12080
(VENDOR_ADVISORY)  BID  12080
http://www.sybase.com/detail?id=1034520
(VENDOR_ADVISORY)  CONFIRM  http://www.sybase.com/detail?id=1034520
http://www.sybase.com/detail?id=1034752
(VENDOR_ADVISORY)  CONFIRM  http://www.sybase.com/detail?id=1034752
http://xforce.iss.net/xforce/xfdb/19354
(VENDOR_ADVISORY)  XF  sybase-adaptive-server(19354)
http://xforce.iss.net/xforce/xfdb/19974
(VENDOR_ADVISORY)  XF  sybase-ase-attribvalid-bo(19974)
http://xforce.iss.net/xforce/xfdb/19976
(VENDOR_ADVISORY)  XF  sybase-ase-convert-bo(19976)
http://xforce.iss.net/xforce/xfdb/19978
(VENDOR_ADVISORY)  XF  sybase-ase-declare-bo(19978)
http://xforce.iss.net/xforce/xfdb/19979
(VENDOR_ADVISORY)  XF  sybase-ase-abstract-bo(19979)
http://xforce.iss.net/xforce/xfdb/19980
(VENDOR_ADVISORY)  XF  sybase-ase-install-java-bo(19980)

- 漏洞信息

Sybase Adaptive Server Enterprise (ASE)缓冲区溢出漏洞
危急 缓冲区溢出
2004-12-22 00:00:00 2005-10-20 00:00:00
远程  
        Sybase Adaptive Server Enterprise (ASE) 12.x 12.5.3 ESD#1以前的版本存在多个基于堆栈的缓冲区溢出漏洞。
        远程认证用户借助多个语句执行任意代码,这些语句包括:(1) attrib_valid函数,(2) 隐蔽函数,(3)申明语句,或者(4)精心构建的查询计划。或者带有数据库拥有者身份或“sa”角色权限的远程认证用户借助(5)一个畸形的Java安装语句执行任意代码。
        

- 公告与补丁

        

- 漏洞信息

15198
Sybase ASE attrib_valid Function Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

A remote overflow exists in Sybase Adaptive Server Enterprise attrib_valid function. The function fails to check input during internal parsing resulting in a buffer overflow. With a specially crafted request, an attacker can execute the code of their choice in the security context of the Sybase database server process resulting in a loss of integrity. In order for this condition to be exploited an authenticated connection to ASE must exist.

- 时间线

2005-04-05 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 12.5.3 ESD #1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站